import request from '@/utils/request'

// 查询医生账单记录列表
export function listDoctorbill(query) {
  return request({
    url: '/his/doctorBill/list',
    method: 'get',
    params: query
  })
}

// 查询医生账单记录详细
export function getDoctorbill(billId) {
  return request({
    url: '/his/doctorBill/' + billId,
    method: 'get'
  })
}

// 新增医生账单记录
export function addDoctorbill(data) {
  return request({
    url: '/his/doctorBill',
    method: 'post',
    data: data
  })
}

// 修改医生账单记录
export function updateDoctorbill(data) {
  return request({
    url: '/his/doctorBill',
    method: 'put',
    data: data
  })
}

// 删除医生账单记录
export function delDoctorbill(billId) {
  return request({
    url: '/his/doctorBill/' + billId,
    method: 'delete'
  })
}

// 导出医生账单记录
export function exportDoctorbill(query) {
  return request({
    url: '/his/doctorBill/export',
    method: 'get',
    params: query
  })
}